## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global python3_pkgversion 3.12

Name:           python%{python3_pkgversion}-expandvars-epel
# 0.12.0 requires hatchling which is not available for Python 3.12 in EL8
Version:        0.11.0
Release:        %autorelease
Summary:        Expand system variables Unix style

# SPDX
License:        MIT
URL:            https://github.com/sayanarijit/expandvars
# pypi source does not contain tests
Source:         https://github.com/sayanarijit/expandvars/archive/v%{version}/expandvars-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

# Most of the dependencies in the “test” extra and almost everything tox.ini
# pertain to linting and coverage analysis. Rather than working around all of
# these, it is simpler to BR and invoke pytest manually.
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
BuildRequires:  python%{python3_pkgversion}-pytest
#BuildRequires:  python%{python3_pkgversion}-toml

%global common_description %{expand:
This module is inspired by GNU bash’s variable expansion features. It can be
used as an alternative to Python’s os.path.expandvars function.

A good use case is reading config files with the flexibility of reading values
from environment variables using advanced features like returning a default
value if some variable is not defined.}

%description %{common_description}


%package -n python%{python3_pkgversion}-expandvars
Summary:        %{summary}

%description -n python%{python3_pkgversion}-expandvars %{common_description}


%prep
%autosetup -n expandvars-%{version}
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i "s/--cov[^[:blank:]'\"]*[[:blank:]]*//g" pyproject.toml


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files expandvars


%check
# test_version requires toml
%pytest --deselect tests/test_expandvars.py::test_version


%files -n python%{python3_pkgversion}-expandvars -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue May 28 2024 Orion Poplawski <orion@nwra.com> - 0.11.0-1
- Build for EPEL with Python 3.12
## END: Generated by rpmautospec
